<template>
    <v-app>
        <v-app-bar absolute dark>
<!--            <v-app-bar-nav-icon></v-app-bar-nav-icon>-->

            <v-toolbar-title>Puzzles Solvers</v-toolbar-title>

            <v-spacer></v-spacer>

            <template v-slot:extension>
                <v-tabs align-with-title>
                    <v-tab v-for="(tab, i) in tabs" :key="i" :to="tab.to">
                        {{ tab.title }}
                    </v-tab>
                </v-tabs>
            </template>
        </v-app-bar>

        <v-main>
            <v-container fluid fill-height style="padding-top: 64px">
                <v-slide-y-transition mode="out-in">
                    <router-view></router-view>
                </v-slide-y-transition>
            </v-container>
        </v-main>
    </v-app>

</template>

<script>
export default {
    name: 'App',
    data: () => ({
        tabs: [
            {
                to: "/",
                title: "Pasta & wine"
            },
            {
                to: "/movie",
                title: "Movie Buffs Associated - Al Pacino"
            },
            {
                to: "/computer",
                title: "A New Personal Computer"
            },
        ]
    })
}
</script>
